Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.query
Class FullTextFilterImpl

    java.lang.Object
      org.hibernate.search.query.FullTextFilterImpl

All Implemented Interfaces:
  FullTextFilterImplementor, FullTextFilter

    public class FullTextFilterImpl

extends java.lang.Object
implements FullTextFilterImplementor

Author:
  Emmanuel Bernard

Constructor Summary
`FullTextFilterImpl()`

Method Summary
`java.lang.String` | `getName()`
`java.lang.Object` | `getParameter(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()`
`void` | `setName(java.lang.String name)`
`FullTextFilter` | `setParameter(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextFilterImpl

    public FullTextFilterImpl()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `FullTextFilterImplementor`
  Returns:
    Returns the Filter name

### setParameter

    public FullTextFilter setParameter(java.lang.String name,
                                       java.lang.Object value)

  Specified by:
    `setParameter` in interface `FullTextFilter`

### getParameter

    public java.lang.Object getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `FullTextFilter`

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.